Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deAnimatedMesh Class Reference

`#include <deAnimatedMesh_priv.hpp>`

Inheritance diagram for deAnimatedMesh:

[legend]
Collaboration diagram for deAnimatedMesh:

[legend]
List of all members.

## Public Member Functions
| deAnimatedMesh ()
| deAnimatedMesh (const char *filename)
| ~deAnimatedMesh ()
void * | GetRscInterface (long interface_id)
deBoolean | LoadFromFile (const char *filename)
void | Destroy ()
IdeVertexBuffer * | GetVBuffer ()
IdeVertexBuffer * | GetVBuffer (float Time)
IdeRenderTexture * | GetTexture (IdeDriver *pDriver)
int | GetNumFrames ()
int | GetNumVerts ()
int | GetNumTriangles ()
int | GetNumSkins ()
int | GetFrameSize ()
int | GetNumTexCoords ()
int | GetCurrentFrame ()
int | GetNextFrame ()
float | GetInterpolation ()
char * | GetSkinName (int index)
void | SetAnimSpeed (float FramesPerSec)
deBoolean | SetCurrentAnim (const char *AnimName)
deBoolean | SetCurrentAnim (int AnimNum)
float | GetAnimSpeed ()
int | GetCurrentAnim ()
void | SetCurrentFrame (int frame)
void | SetNextFrame (int frame)
void | SetTexture (const char *filename)
void | SetTexture (IdeBitmapProxy *tex)
bool | LoadMD2 (const char *filename)
IdeResourceBase * | MakeCopy ()
| create a copy of the object in memory
## Static Public Attributes
long | s_AnimatedMeshInterfaceID = 0
## Private Member Functions
void | InitVars ()
## Private Attributes
int | m_NumTriangles
int | m_NumFrames
int | m_NumVertices
int | m_NumTexCoords
int | m_NumSkins
MD2Face * | m_pTriangles
MD2Skin * | m_pSkins
MD2Frame * | m_pFrames
MD2TexCoord * | m_pTexCoords
IdeBitmapProxy * | m_pBitmap
IdeRenderTexture * | m_pTexture
IdeVertexBuffer * | m_pVBuffer
deVertex ** | m_pVertices
deVertex ** | m_pNormals
deTransform | m_Transform
int | m_CurrentFrame
int | m_NextFrame
float | m_Interpolation
float | m_AnimSpeed
deTArray< MD2Anim > | m_Anims
int | m_CurrentAnim

## Constructor & Destructor Documentation

deAnimatedMesh::deAnimatedMesh | ( |  | ) |

deAnimatedMesh::deAnimatedMesh | ( | const char * | filename | ) |

deAnimatedMesh::~deAnimatedMesh | ( |  | ) |

## Member Function Documentation

void deAnimatedMesh::Destroy | ( |  | ) |

float deAnimatedMesh::GetAnimSpeed | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetCurrentAnim | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetCurrentFrame | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetFrameSize | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

float deAnimatedMesh::GetInterpolation | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetNextFrame | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetNumFrames | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetNumSkins | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetNumTexCoords | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetNumTriangles | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

int deAnimatedMesh::GetNumVerts | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

void * deAnimatedMesh::GetRscInterface | ( | long | interface_id | ) | `[virtual]`

  | Used to retrieve a pointer to an interface registered through IdeResourceManager. Returns: NULL or a valid pointer to an interface supported by this object Parameters:
  interface_id | A value previously retrieved through IdeResourceManager::GetUniqueInterfaceID
Reimplemented from deResourceBase.

char * deAnimatedMesh::GetSkinName | ( | int | index | ) | `[virtual]`

| Implements IdeAnimatedMesh.

IdeRenderTexture * deAnimatedMesh::GetTexture | ( | IdeDriver * | pDriver | ) | `[virtual]`

| Implements IdeAnimatedMesh.

IdeVertexBuffer * deAnimatedMesh::GetVBuffer | ( | float | Time | ) | `[virtual]`

| Implements IdeAnimatedMesh.

IdeVertexBuffer * deAnimatedMesh::GetVBuffer | ( |  | ) | `[virtual]`

| Implements IdeAnimatedMesh.

void deAnimatedMesh::InitVars | ( |  | ) | `[private]`

deBoolean deAnimatedMesh::LoadFromFile | ( | const char * | filename | ) |

bool deAnimatedMesh::LoadMD2 | ( | const char * | filename | ) |

IdeResourceBase * deAnimatedMesh::MakeCopy | ( |  | ) | `[virtual]`

| create a copy of the object in memory Implements deResourceBase.

void deAnimatedMesh::SetAnimSpeed | ( | float | FramesPerSec | ) | `[virtual]`

| Implements IdeAnimatedMesh.

deBoolean deAnimatedMesh::SetCurrentAnim | ( | int | AnimNum | ) | `[virtual]`

| Implements IdeAnimatedMesh.

deBoolean deAnimatedMesh::SetCurrentAnim | ( | const char * | AnimName | ) | `[virtual]`

| Implements IdeAnimatedMesh.

void deAnimatedMesh::SetCurrentFrame | ( | int | frame | ) | `[virtual]`

| Implements IdeAnimatedMesh.

void deAnimatedMesh::SetNextFrame | ( | int | frame | ) | `[virtual]`

| Implements IdeAnimatedMesh.

void deAnimatedMesh::SetTexture | ( | IdeBitmapProxy * | tex | ) | `[virtual]`

| Implements IdeAnimatedMesh.

void deAnimatedMesh::SetTexture | ( | const char * | filename | ) | `[virtual]`

| Implements IdeAnimatedMesh.

## Member Data Documentation

deTArray<MD2Anim> deAnimatedMesh::m_Anims`[private]`

float deAnimatedMesh::m_AnimSpeed`[private]`

int deAnimatedMesh::m_CurrentAnim`[private]`

int deAnimatedMesh::m_CurrentFrame`[private]`

float deAnimatedMesh::m_Interpolation`[private]`

int deAnimatedMesh::m_NextFrame`[private]`

int deAnimatedMesh::m_NumFrames`[private]`

int deAnimatedMesh::m_NumSkins`[private]`

int deAnimatedMesh::m_NumTexCoords`[private]`

int deAnimatedMesh::m_NumTriangles`[private]`

int deAnimatedMesh::m_NumVertices`[private]`

IdeBitmapProxy* deAnimatedMesh::m_pBitmap`[private]`

MD2Frame* deAnimatedMesh::m_pFrames`[private]`

deVertex** deAnimatedMesh::m_pNormals`[private]`

MD2Skin* deAnimatedMesh::m_pSkins`[private]`

MD2TexCoord* deAnimatedMesh::m_pTexCoords`[private]`

IdeRenderTexture* deAnimatedMesh::m_pTexture`[private]`

MD2Face* deAnimatedMesh::m_pTriangles`[private]`

IdeVertexBuffer* deAnimatedMesh::m_pVBuffer`[private]`

deVertex** deAnimatedMesh::m_pVertices`[private]`

deTransform deAnimatedMesh::m_Transform`[private]`

long deAnimatedMesh::s_AnimatedMeshInterfaceID = 0`[static]`

The documentation for this class was generated from the following files:

- deAnimatedMesh_priv.hpp
- deAnimatedMesh.cpp